AntiFeatures:
    NonFreeNet:
        en-US: App uses non-libre sync server.
Categories:
  - Security
License: GPL-3.0-only
AuthorName: ente
AuthorEmail: support+auth@ente.io
AuthorWebSite: https://ente.io/auth
WebSite: https://ente.io
SourceCode: https://github.com/ente-io/auth/
IssueTracker: https://github.com/ente-io/auth/issues
Translation: https://crowdin.com/project/ente-authenticator-app
Changelog: https://github.com/ente-io/auth/releases

AutoName: auth

RepoType: git
Repo: https://github.com/ente-io/auth.git

Builds:
  - versionName: 1.0.32
    versionCode: 32
    commit: cf3a9f9d8fa5e5d5d5e3e6d16c9f3b7d2a5f0861
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y automake libtool make
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - libsodium@ee009287afd480b60a9a4d75b19afdc0f705e9d9
    rm:
      - ios
      - linux
      - macos
      - web
      - windows
    prebuild:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - flutter/bin/flutter config --no-analytics
      - flutter/bin/flutter pub get
    scanignore:
      - flutter/packages/flutter_tools/gradle/flutter.gradle
      - flutter/bin/cache
    scandelete:
      - flutter
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - pushd $$libsodium$$
      - ./autogen.sh -s
      - ./dist-build/android-armv7-a.sh
      - ./dist-build/android-armv8-a.sh
      - ./dist-build/android-x86.sh
      - ./dist-build/android-x86_64.sh
      - popd
      - cp $$libsodium$$/libsodium-android-armv7-a/lib/libsodium.so $PUB_CACHE/git/flutter_sodium-267435eaf07af60b94406adf14bedf21e08a6b4f/android/src/main/jniLibs/armeabi-v7a/
      - cp $$libsodium$$/libsodium-android-westmere/lib/libsodium.so $PUB_CACHE/git/flutter_sodium-267435eaf07af60b94406adf14bedf21e08a6b4f/android/src/main/jniLibs/x86_64/
      - cp $$libsodium$$/libsodium-android-armv8-a+crypto/lib/libsodium.so $PUB_CACHE/git/flutter_sodium-267435eaf07af60b94406adf14bedf21e08a6b4f/android/src/main/jniLibs/arm64-v8a/
      - cp $$libsodium$$/libsodium-android-i686/lib/libsodium.so $PUB_CACHE/git/flutter_sodium-267435eaf07af60b94406adf14bedf21e08a6b4f/android/src/main/jniLibs/x86/
      - flutter/bin/flutter packages pub run flutter_launcher_icons:main -f fdroid_flutter_icons.yaml
      - flutter/bin/flutter build apk --flavor fdroid -t lib/main.dart
    ndk: r21

  - versionName: 1.0.34
    versionCode: 34
    commit: 81740bb549be60b6ecb720b11acb5c172259ab61
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y automake libtool make
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - libsodium@ee009287afd480b60a9a4d75b19afdc0f705e9d9
    rm:
      - ios
      - linux
      - macos
      - web
      - windows
    prebuild:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - flutter/bin/flutter config --no-analytics
      - flutter/bin/flutter pub get
    scanignore:
      - flutter/packages/flutter_tools/gradle/flutter.gradle
      - flutter/bin/cache
    scandelete:
      - flutter
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - pushd $$libsodium$$
      - ./autogen.sh -s
      - ./dist-build/android-armv7-a.sh
      - ./dist-build/android-armv8-a.sh
      - ./dist-build/android-x86.sh
      - ./dist-build/android-x86_64.sh
      - popd
      - cp $$libsodium$$/libsodium-android-armv7-a/lib/libsodium.so $PUB_CACHE/git/flutter_sodium-267435eaf07af60b94406adf14bedf21e08a6b4f/android/src/main/jniLibs/armeabi-v7a/
      - cp $$libsodium$$/libsodium-android-westmere/lib/libsodium.so $PUB_CACHE/git/flutter_sodium-267435eaf07af60b94406adf14bedf21e08a6b4f/android/src/main/jniLibs/x86_64/
      - cp $$libsodium$$/libsodium-android-armv8-a+crypto/lib/libsodium.so $PUB_CACHE/git/flutter_sodium-267435eaf07af60b94406adf14bedf21e08a6b4f/android/src/main/jniLibs/arm64-v8a/
      - cp $$libsodium$$/libsodium-android-i686/lib/libsodium.so $PUB_CACHE/git/flutter_sodium-267435eaf07af60b94406adf14bedf21e08a6b4f/android/src/main/jniLibs/x86/
      - flutter/bin/flutter packages pub run flutter_launcher_icons:main -f fdroid_flutter_icons.yaml
      - flutter/bin/flutter build apk --flavor fdroid -t lib/main.dart
    ndk: r21

  - versionName: 1.0.37
    versionCode: 37
    commit: a46fff91c2d456b37756f75e5c58d4a2683cfdd3
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y automake libtool make
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - libsodium@ee009287afd480b60a9a4d75b19afdc0f705e9d9
    rm:
      - ios
      - linux
      - macos
      - web
      - windows
    prebuild:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - flutter/bin/flutter config --no-analytics
      - flutter/bin/flutter pub get
    scanignore:
      - flutter/packages/flutter_tools/gradle/flutter.gradle
      - flutter/bin/cache
    scandelete:
      - flutter
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - pushd $$libsodium$$
      - ./autogen.sh -s
      - ./dist-build/android-armv7-a.sh
      - ./dist-build/android-armv8-a.sh
      - ./dist-build/android-x86.sh
      - ./dist-build/android-x86_64.sh
      - popd
      - cp $$libsodium$$/libsodium-android-armv7-a/lib/libsodium.so $PUB_CACHE/git/flutter_sodium-267435eaf07af60b94406adf14bedf21e08a6b4f/android/src/main/jniLibs/armeabi-v7a/
      - cp $$libsodium$$/libsodium-android-westmere/lib/libsodium.so $PUB_CACHE/git/flutter_sodium-267435eaf07af60b94406adf14bedf21e08a6b4f/android/src/main/jniLibs/x86_64/
      - cp $$libsodium$$/libsodium-android-armv8-a+crypto/lib/libsodium.so $PUB_CACHE/git/flutter_sodium-267435eaf07af60b94406adf14bedf21e08a6b4f/android/src/main/jniLibs/arm64-v8a/
      - cp $$libsodium$$/libsodium-android-i686/lib/libsodium.so $PUB_CACHE/git/flutter_sodium-267435eaf07af60b94406adf14bedf21e08a6b4f/android/src/main/jniLibs/x86/
      - flutter/bin/flutter packages pub run flutter_launcher_icons:main -f fdroid_flutter_icons.yaml
      - flutter/bin/flutter build apk --flavor fdroid -t lib/main.dart
    ndk: r21

  - versionName: 1.0.39
    versionCode: 39
    commit: 40ed35e5f5c647efd90d093e5bddf40d26637e9e
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y automake libtool make
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - libsodium@ee009287afd480b60a9a4d75b19afdc0f705e9d9
    rm:
      - ios
      - linux
      - macos
      - web
      - windows
    prebuild:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - flutter/bin/flutter config --no-analytics
      - flutter/bin/flutter pub get
    scanignore:
      - flutter/packages/flutter_tools/gradle/flutter.gradle
      - flutter/bin/cache
    scandelete:
      - flutter
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - pushd $$libsodium$$
      - ./autogen.sh -s
      - ./dist-build/android-armv7-a.sh
      - ./dist-build/android-armv8-a.sh
      - ./dist-build/android-x86.sh
      - ./dist-build/android-x86_64.sh
      - popd
      - cp $$libsodium$$/libsodium-android-armv7-a/lib/libsodium.so $PUB_CACHE/git/flutter_sodium-267435eaf07af60b94406adf14bedf21e08a6b4f/android/src/main/jniLibs/armeabi-v7a/
      - cp $$libsodium$$/libsodium-android-westmere/lib/libsodium.so $PUB_CACHE/git/flutter_sodium-267435eaf07af60b94406adf14bedf21e08a6b4f/android/src/main/jniLibs/x86_64/
      - cp $$libsodium$$/libsodium-android-armv8-a+crypto/lib/libsodium.so $PUB_CACHE/git/flutter_sodium-267435eaf07af60b94406adf14bedf21e08a6b4f/android/src/main/jniLibs/arm64-v8a/
      - cp $$libsodium$$/libsodium-android-i686/lib/libsodium.so $PUB_CACHE/git/flutter_sodium-267435eaf07af60b94406adf14bedf21e08a6b4f/android/src/main/jniLibs/x86/
      - flutter/bin/flutter packages pub run flutter_launcher_icons:main -f fdroid_flutter_icons.yaml
      - flutter/bin/flutter build apk --flavor fdroid -t lib/main.dart
    ndk: r21

  - versionName: 1.0.40
    versionCode: 40
    commit: ed490957aedf5b4292b0c5fb04c7cd0a9023a9d5
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y automake libtool make
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - libsodium@ee009287afd480b60a9a4d75b19afdc0f705e9d9
    rm:
      - ios
      - linux
      - macos
      - web
      - windows
    prebuild:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - flutter/bin/flutter config --no-analytics
      - flutter/bin/flutter pub get
    scanignore:
      - flutter/packages/flutter_tools/gradle/flutter.gradle
      - flutter/bin/cache
    scandelete:
      - flutter
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - pushd $$libsodium$$
      - ./autogen.sh -s
      - ./dist-build/android-armv7-a.sh
      - ./dist-build/android-armv8-a.sh
      - ./dist-build/android-x86.sh
      - ./dist-build/android-x86_64.sh
      - popd
      - cp $$libsodium$$/libsodium-android-armv7-a/lib/libsodium.so $PUB_CACHE/git/flutter_sodium-267435eaf07af60b94406adf14bedf21e08a6b4f/android/src/main/jniLibs/armeabi-v7a/
      - cp $$libsodium$$/libsodium-android-westmere/lib/libsodium.so $PUB_CACHE/git/flutter_sodium-267435eaf07af60b94406adf14bedf21e08a6b4f/android/src/main/jniLibs/x86_64/
      - cp $$libsodium$$/libsodium-android-armv8-a+crypto/lib/libsodium.so $PUB_CACHE/git/flutter_sodium-267435eaf07af60b94406adf14bedf21e08a6b4f/android/src/main/jniLibs/arm64-v8a/
      - cp $$libsodium$$/libsodium-android-i686/lib/libsodium.so $PUB_CACHE/git/flutter_sodium-267435eaf07af60b94406adf14bedf21e08a6b4f/android/src/main/jniLibs/x86/
      - flutter/bin/flutter packages pub run flutter_launcher_icons:main -f fdroid_flutter_icons.yaml
      - flutter/bin/flutter build apk --flavor fdroid -t lib/main.dart
    ndk: r21

  - versionName: 1.0.41
    versionCode: 41
    commit: 4148c8fdf966e65d247bc95b6088bcfb4d447fdd
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y automake libtool make
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - libsodium@ee009287afd480b60a9a4d75b19afdc0f705e9d9
    rm:
      - ios
      - linux
      - macos
      - web
      - windows
    prebuild:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - flutter/bin/flutter config --no-analytics
      - flutter/bin/flutter pub get
    scanignore:
      - flutter/packages/flutter_tools/gradle/flutter.gradle
      - flutter/bin/cache
    scandelete:
      - flutter
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - pushd $$libsodium$$
      - ./autogen.sh -s
      - ./dist-build/android-armv7-a.sh
      - ./dist-build/android-armv8-a.sh
      - ./dist-build/android-x86.sh
      - ./dist-build/android-x86_64.sh
      - popd
      - cp $$libsodium$$/libsodium-android-armv7-a/lib/libsodium.so $PUB_CACHE/git/flutter_sodium-267435eaf07af60b94406adf14bedf21e08a6b4f/android/src/main/jniLibs/armeabi-v7a/
      - cp $$libsodium$$/libsodium-android-westmere/lib/libsodium.so $PUB_CACHE/git/flutter_sodium-267435eaf07af60b94406adf14bedf21e08a6b4f/android/src/main/jniLibs/x86_64/
      - cp $$libsodium$$/libsodium-android-armv8-a+crypto/lib/libsodium.so $PUB_CACHE/git/flutter_sodium-267435eaf07af60b94406adf14bedf21e08a6b4f/android/src/main/jniLibs/arm64-v8a/
      - cp $$libsodium$$/libsodium-android-i686/lib/libsodium.so $PUB_CACHE/git/flutter_sodium-267435eaf07af60b94406adf14bedf21e08a6b4f/android/src/main/jniLibs/x86/
      - flutter/bin/flutter packages pub run flutter_launcher_icons:main -f fdroid_flutter_icons.yaml
      - flutter/bin/flutter build apk --flavor fdroid -t lib/main.dart
    ndk: r21

  - versionName: 1.0.51
    versionCode: 51
    commit: dc5cb41f9555bf7b0964817a3506b1811f771dac
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y automake libtool make
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - libsodium@ee009287afd480b60a9a4d75b19afdc0f705e9d9
    rm:
      - ios
      - linux
      - macos
      - web
      - windows
    prebuild:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - flutter/bin/flutter config --no-analytics
      - flutter/bin/flutter pub get
    scanignore:
      - flutter/packages/flutter_tools/gradle/flutter.gradle
      - flutter/bin/cache
    scandelete:
      - flutter
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - pushd $$libsodium$$
      - ./autogen.sh -s
      - ./dist-build/android-armv7-a.sh
      - ./dist-build/android-armv8-a.sh
      - ./dist-build/android-x86.sh
      - ./dist-build/android-x86_64.sh
      - popd
      - cp $$libsodium$$/libsodium-android-armv7-a/lib/libsodium.so $PUB_CACHE/git/flutter_sodium-267435eaf07af60b94406adf14bedf21e08a6b4f/android/src/main/jniLibs/armeabi-v7a/
      - cp $$libsodium$$/libsodium-android-westmere/lib/libsodium.so $PUB_CACHE/git/flutter_sodium-267435eaf07af60b94406adf14bedf21e08a6b4f/android/src/main/jniLibs/x86_64/
      - cp $$libsodium$$/libsodium-android-armv8-a+crypto/lib/libsodium.so $PUB_CACHE/git/flutter_sodium-267435eaf07af60b94406adf14bedf21e08a6b4f/android/src/main/jniLibs/arm64-v8a/
      - cp $$libsodium$$/libsodium-android-i686/lib/libsodium.so $PUB_CACHE/git/flutter_sodium-267435eaf07af60b94406adf14bedf21e08a6b4f/android/src/main/jniLibs/x86/
      - flutter/bin/flutter packages pub run flutter_launcher_icons:main -f fdroid_flutter_icons.yaml
      - flutter/bin/flutter build apk --flavor fdroid -t lib/main.dart
    ndk: r21

  - versionName: 1.0.52
    versionCode: 52
    commit: c1097bf2511f4b575fb4375a8de10d01e2b6d242
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y automake libtool make
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - libsodium@ee009287afd480b60a9a4d75b19afdc0f705e9d9
    rm:
      - ios
      - linux
      - macos
      - web
      - windows
    prebuild:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - flutter/bin/flutter config --no-analytics
      - flutter/bin/flutter pub get
    scanignore:
      - flutter/packages/flutter_tools/gradle/flutter.gradle
      - flutter/bin/cache
    scandelete:
      - flutter
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - pushd $$libsodium$$
      - ./autogen.sh -s
      - ./dist-build/android-armv7-a.sh
      - ./dist-build/android-armv8-a.sh
      - ./dist-build/android-x86.sh
      - ./dist-build/android-x86_64.sh
      - popd
      - cp $$libsodium$$/libsodium-android-armv7-a/lib/libsodium.so $PUB_CACHE/git/flutter_sodium-267435eaf07af60b94406adf14bedf21e08a6b4f/android/src/main/jniLibs/armeabi-v7a/
      - cp $$libsodium$$/libsodium-android-westmere/lib/libsodium.so $PUB_CACHE/git/flutter_sodium-267435eaf07af60b94406adf14bedf21e08a6b4f/android/src/main/jniLibs/x86_64/
      - cp $$libsodium$$/libsodium-android-armv8-a+crypto/lib/libsodium.so $PUB_CACHE/git/flutter_sodium-267435eaf07af60b94406adf14bedf21e08a6b4f/android/src/main/jniLibs/arm64-v8a/
      - cp $$libsodium$$/libsodium-android-i686/lib/libsodium.so $PUB_CACHE/git/flutter_sodium-267435eaf07af60b94406adf14bedf21e08a6b4f/android/src/main/jniLibs/x86/
      - flutter/bin/flutter packages pub run flutter_launcher_icons:main -f fdroid_flutter_icons.yaml
      - flutter/bin/flutter build apk --flavor fdroid -t lib/main.dart
    ndk: r21

  - versionName: 1.0.54
    versionCode: 54
    commit: f8d3cb5d5b93a5d4e14f0f02a423b527b9c90520
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y automake libtool make
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - libsodium@ee009287afd480b60a9a4d75b19afdc0f705e9d9
    rm:
      - ios
      - linux
      - macos
      - web
      - windows
    prebuild:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - flutter/bin/flutter config --no-analytics
      - flutter/bin/flutter pub get
    scanignore:
      - flutter/packages/flutter_tools/gradle/flutter.gradle
      - flutter/bin/cache
    scandelete:
      - flutter
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - pushd $$libsodium$$
      - ./autogen.sh -s
      - ./dist-build/android-armv7-a.sh
      - ./dist-build/android-armv8-a.sh
      - ./dist-build/android-x86.sh
      - ./dist-build/android-x86_64.sh
      - popd
      - cp $$libsodium$$/libsodium-android-armv7-a/lib/libsodium.so $PUB_CACHE/git/flutter_sodium-267435eaf07af60b94406adf14bedf21e08a6b4f/android/src/main/jniLibs/armeabi-v7a/
      - cp $$libsodium$$/libsodium-android-westmere/lib/libsodium.so $PUB_CACHE/git/flutter_sodium-267435eaf07af60b94406adf14bedf21e08a6b4f/android/src/main/jniLibs/x86_64/
      - cp $$libsodium$$/libsodium-android-armv8-a+crypto/lib/libsodium.so $PUB_CACHE/git/flutter_sodium-267435eaf07af60b94406adf14bedf21e08a6b4f/android/src/main/jniLibs/arm64-v8a/
      - cp $$libsodium$$/libsodium-android-i686/lib/libsodium.so $PUB_CACHE/git/flutter_sodium-267435eaf07af60b94406adf14bedf21e08a6b4f/android/src/main/jniLibs/x86/
      - flutter/bin/flutter packages pub run flutter_launcher_icons:main -f fdroid_flutter_icons.yaml
      - flutter/bin/flutter build apk --flavor fdroid -t lib/main.dart
    ndk: r21

  - versionName: 1.0.55
    versionCode: 55
    commit: 384f37bb07751d0ad75c6c8b7725e1c85930421b
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y automake libtool make
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - libsodium@ee009287afd480b60a9a4d75b19afdc0f705e9d9
    rm:
      - ios
      - linux
      - macos
      - web
      - windows
    prebuild:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - flutter/bin/flutter config --no-analytics
      - flutter/bin/flutter pub get
    scanignore:
      - flutter/packages/flutter_tools/gradle/flutter.gradle
      - flutter/bin/cache
    scandelete:
      - flutter
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - pushd $$libsodium$$
      - ./autogen.sh -s
      - ./dist-build/android-armv7-a.sh
      - ./dist-build/android-armv8-a.sh
      - ./dist-build/android-x86.sh
      - ./dist-build/android-x86_64.sh
      - popd
      - cp $$libsodium$$/libsodium-android-armv7-a/lib/libsodium.so $PUB_CACHE/git/flutter_sodium-267435eaf07af60b94406adf14bedf21e08a6b4f/android/src/main/jniLibs/armeabi-v7a/
      - cp $$libsodium$$/libsodium-android-westmere/lib/libsodium.so $PUB_CACHE/git/flutter_sodium-267435eaf07af60b94406adf14bedf21e08a6b4f/android/src/main/jniLibs/x86_64/
      - cp $$libsodium$$/libsodium-android-armv8-a+crypto/lib/libsodium.so $PUB_CACHE/git/flutter_sodium-267435eaf07af60b94406adf14bedf21e08a6b4f/android/src/main/jniLibs/arm64-v8a/
      - cp $$libsodium$$/libsodium-android-i686/lib/libsodium.so $PUB_CACHE/git/flutter_sodium-267435eaf07af60b94406adf14bedf21e08a6b4f/android/src/main/jniLibs/x86/
      - flutter/bin/flutter packages pub run flutter_launcher_icons:main -f fdroid_flutter_icons.yaml
      - flutter/bin/flutter build apk --flavor fdroid -t lib/main.dart
    ndk: r21

AutoUpdateMode: Version
UpdateCheckMode: Tags ^v
UpdateCheckData: pubspec.yaml|version:\s.+\+(\d+)|.|version:\s(.+)\+
CurrentVersion: 1.0.55
CurrentVersionCode: 55
